@font-face {
  font-family: 'Lovelo';
  src: url('./typo/Lovelo Black.otf') format('opentype');
}


.kanit-medium {
  font-family: "Kanit", serif;
  font-weight: 500;
  font-style: normal;
}




body {
  font-family: 'Kanit', sans-serif;
  cursor: none;
}










.etoile {
  position: absolute;
  z-index: 3;
  width: 12%;
  transform: rotate(60deg);
  right: 0%;
  bottom: 70%;

}

@media (max-width: 768px) {
  .etoile {
    bottom: 90%;
    /* Ajustement spécifique pour les écrans de téléphone */
  }
}

.etoile2 {
  position: absolute;
  z-index: 3;
  width: 9%;
  transform: rotate(-18deg);
  right: 13%;
  bottom: 84%;
}

@media (max-width: 768px) {
  .etoile2 {
    bottom: 95%;
    /* Ajustement spécifique pour les écrans de téléphone */
  }
}

.etoile3 {
  position: absolute;
  z-index: 3;
  width: 11%;
  transform: rotate(160deg);
  right: 21%;
  bottom: 17%;
}

@media (max-width: 768px) {
  .etoile3 {
    bottom: 80%;
    /* Ajustement spécifique pour les écrans de téléphone */
  }
}

.etoile4 {
  position: absolute;
  z-index: 3;
  width: 9%;
  transform: rotate(34deg);
  right: 50%;
  bottom: 20%;
}

@media (max-width: 768px) {
  .etoile4 {
    bottom: 80%;
    /* Ajustement spécifique pour les écrans de téléphone */
  }
}

.etoile5 {
  position: absolute;
  z-index: 3;
  width: 13%;
  transform: rotate(34deg);
  right: 85%;
  bottom: 27%;
}

@media (max-width: 768px) {
  .etoile5 {
    bottom: 81%;
    /* Ajustement spécifique pour les écrans de téléphone */
  }
}

.etoile6 {
  position: absolute;
  z-index: 3;
  width: 10%;
  transform: rotate(-17deg);
  right: 87%;
  bottom: 64%;
}

@media (max-width: 768px) {
  .etoile6 {
    bottom: 89%;
    /* Ajustement spécifique pour les écrans de téléphone */
  }
}


.etoile7 {
  position: absolute;
  z-index: 3;
  width: 14%;
  transform: rotate(-17deg);
  right: 88%;
}

@media (max-width: 768px) {
  .etoile7 {
    bottom: 68%;
    right: 86%;
    /* Ajustement spécifique pour les écrans de téléphone */
  }
}

.etoile8 {
  position: absolute;
  z-index: 3;
  width: 9%;
  transform: rotate(20deg);
  right: 76%;
  bottom: -10%;
}

@media (max-width: 768px) {
  .etoile8 {
    bottom: 71%;
    /* Ajustement spécifique pour les écrans de téléphone */
  }
}

.etoile9 {
  position: absolute;
  z-index: 3;
  width: 12%;
  transform: rotate(40deg);
  right: 5%;
}

@media (max-width: 768px) {
  .etoile9 {
    bottom: 68%;
    /* Ajustement spécifique pour les écrans de téléphone */
  }
}

.etoile10 {
  position: absolute;
  z-index: 3;
  width: 7%;
  transform: rotate(44deg);
  right: 7%;
  bottom: -63%;
}

@media (max-width: 768px) {
  .etoile10 {
    bottom: 45%;
    /* Ajustement spécifique pour les écrans de téléphone */
  }
}

.etoile11 {
  position: absolute;
  z-index: 3;
  width: 10%;
  transform: rotate(-14deg);
  right: 65%;
  bottom: -66%;
}

@media (max-width: 768px) {
  .etoile11 {
    bottom: 44%;
    right: 78%;
    /* Ajustement spécifique pour les écrans de téléphone */
  }
}

.etoile12 {
  position: absolute;
  z-index: 3;
  width: 12%;
  transform: rotate(144deg);
  bottom: -65%;
}

@media (max-width: 768px) {
  .etoile12 {
    bottom: 42%;
    /* Ajustement spécifique pour les écrans de téléphone */
  }
}





header {
  display: flex;
  justify-content: flex-start;
  align-items: top;
}

.portfolio {
  width: 80%;
  display: block;
  margin-left: auto;
  margin-right: auto;
}



/* Texte défilant */
.messagedefilant {
  font-family: 'Lovelo';
  display: block;
  margin: auto;
  padding: 0;
  overflow: hidden;
  position: relative;
  width: 100%;
  max-width: 1920px;
  height: 60px;
  color: white;
}

.messagedefilant div {
  position: absolute;
  min-width: 100%;
  /* au minimum la largeur du conteneur */
  white-space: nowrap;
}

.messagedefilant div span,
.messagedefilant div:after {
  position: relative;
  display: inline-block;
  font-size: 3rem;
  white-space: nowrap;
  top: 0;
}

.messagedefilant div span {
  animation: defilement 45s infinite linear;
  background-color: #ffd000;
}

.messagedefilant div:after {
  position: absolute;
  top: 0;
  left: 0;
  content: attr(data-text);
  animation: defilement2 45s infinite linear;
  background-color: #ffd000;
}

.messagedefilant div:hover {
  animation-play-state: paused;
}

@keyframes defilement {
  0% {
    margin-left: 0;
  }

  100% {
    margin-left: -100%;
  }
}

@keyframes defilement2 {
  0% {
    margin-left: 100%;
  }

  100% {
    margin-left: 0%;
  }
}

@media (max-width: 768px) {
  .messagedefilant {
    height: 50px;
    /* Ajuster la hauteur pour les petits écrans */
  }

  .messagedefilant div span,
  .messagedefilant div:after {
    font-size: 1.5rem;
    /* Réduire davantage la taille de la police pour les petits écrans */
  }
}



.bio-section {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0;
  margin: 2rem auto;
  max-width: 90%;
  padding-right: 10%;
}

.bio-section img {
  width: 50%;
  height: auto;
  border-radius: 20px;
  transform: rotate(-6deg);
  position: relative;
  z-index: 2;
  /* Places image above container */
  margin-right: -230px;

}



.bio-button {
  position: absolute;
  bottom: -30px;
  right: 35px;
  background-color: #DD5643;
  border: 10px solid white;
  border-radius: 30px;
  padding: 15px 25px;
  color: rgb(0, 0, 0);
  font-size: 25px;
  font-weight: bold;
  cursor: pointer;
  transition: all 0.3s ease;
}

.bio-button:hover {
  transform: scale(1.05);
  opacity: 0.9;
}

.container {
  background-color: #ffd000;
  border-radius: 20px;
  padding: 20px;
  padding-left: 200px;
  margin: 0;
  text-align: left, top;
  width: 50%;
  font-size: 120%;
  align-items: center;
  position: relative;
  z-index: 1;
}

@media (max-width: 768px) {
  .bio-section {
    padding-right: 0;

    left: 5%;

    /* Supprimer le padding pour les petits écrans */
  }

  .bio-section img {
    right: 25%;
    width: 60%;
  }

  .container {
    align-items: center;
    margin: 0;
    width: 50%;
    /* Ajuster la largeur pour les petits écrans */
    font-size: 50%;
    /* Réduire la taille de la police pour les petits écrans */
    padding: 15px 10px;
    /* Réduire le padding pour les petits écrans */
    padding-left: 130px;
  }

  .bio-button {
    bottom: -10%;
    /* Ajuster la position pour les petits écrans */
    right: 4%;
    /* Ajuster la position pour les petits écrans */
    border: 5px solid white;
    /* Réduire l'épaisseur de la bordure */
    border-radius: 25px;
    /* Réduire le rayon de la bordure */
    padding: 3% 7%;
    /* Ajuster le padding pour les petits écrans */
    font-size: 2.3vw;
  }
}



.projet {
  cursor: default;
  pointer-events: none;
  font-size: 12px;
  margin-bottom: 2rem;
  margin-top: 2rem;
  margin-left: 2rem;
  background-color: #DD5643;
  width: 20%;
  border: none;
}

@media (max-width: 768px) {
  .projet {
      width: 90%; /* Ajuster la largeur pour les petits écrans */
      margin: 15px 20px;
      
  }
}




.nav-buttons {
  display: flex;
  justify-content: space-between;
  padding: 40px;
  margin: 20px;
}

.nav-btn {
  bottom: -30px;
  right: 35px;
  background-color: #DD5643;
  border: 10px solid white;
  border-radius: 30px;
  padding: 15px 25px;
  color: rgb(0, 0, 0);
  font-size: 25px;
  font-weight: bold;
  cursor: pointer;
  transition: all 0.3s ease;
}

.nav-btn:hover {
  transform: scale(1.05);
  opacity: 0.9;
}